%define upstream_name    Any-URI-Escape
%define upstream_version 0.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Load URI::Escape::XS preferentially over URI::Escape
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Any/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(URI::Escape)
BuildArch: noarch

%description
URI::Escape is great, but URI::Escape::XS is faster. This module loads
URI::Escape::XS and imports the two most common methods if XS is installed.

The insides of this module aren't completely shaken out yet, so patches
welcome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.10.0-11.mga10
+ Revision: 2203409
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.10.0-10.mga9
+ Revision: 1808232
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-9.mga8
+ Revision: 1503447
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.10.0-8.mga7
+ Revision: 1281579
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.10.0-7.mga7
+ Revision: 1162921
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 0.10.0-6.mga6
+ Revision: 1022508
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.10.0-5.mga6
+ Revision: 942489
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 744163
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-2.mga5
+ Revision: 683473
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.10.0-1.mga5
+ Revision: 634120
- imported package perl-Any-URI-Escape


* Fri Jun 06 2014 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
